#!/bin/bash
# basic install script for KSplasher
# based on install script for QNokiacomander from
# Federico Manganelli mangus@deprecated.it


ROOT_UID=0
INSTALLDIR=/usr/share/ksplasher

if [ "$UID" -ne "$ROOT_UID" ]; then
    echo "you have to be root to perform this system wide installation."
    exit 
fi

echo "moving files...."
echo ""
mkdir $INSTALLDIR
cp -r * $INSTALLDIR
rm $INSTALLDIR/ksplasher
cp ksplasher /usr/bin/
cp ksplasher.desktop /usr/share/applications/ksplasher.desktop
cp ksicon.png /usr/share/pixmaps/ksicon.png
echo "setting permissions.."
echo ""
chmod +x /usr/bin/ksplasher
echo "Done!"
exit